Bug 1570192 (CVE-2018-10114) - CVE-2018-10114 gegl: write access violation gegl_buffer_iterate_read_simple function in buffer/gegl-buffer-access.c
Summary: CVE-2018-10114 gegl: write access violation gegl_buffer_iterate_read_simple f...
Keywords:
Status: NEW
Alias: CVE-2018-10114
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1570186 1609106 1570189 1609105
Blocks: 1570194
TreeView+ depends on / blocked
 
Reported: 2018-04-20 20:56 UTC by Laura Pardo
Modified: 2019-09-29 14:37 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description Laura Pardo 2018-04-20 20:56:19 UTC
A flaw was discovered in GEGL through 0.3.32. The gegl_buffer_iterate_read_simple function in buffer/gegl-buffer-access.c allows remote attackers to cause a denial of service (write access violation) or possibly have unspecified other impact via a malformed PPM file, related to improper restrictions on memory allocation in the ppm_load_read_header function in operations/external/ppm-load.c.


References:
https://bugzilla.gnome.org/show_bug.cgi?id=795248 	
https://github.com/xiaoqx/pocs/tree/master/gegl

Patch:
https://git.gnome.org/browse/gegl/commit/?id=c83b05d565a1e3392c9606a4ecaa560eb9a4ee29

Comment 1 Laura Pardo 2018-04-20 20:57:26 UTC
Created gegl tracking bugs for this issue:

Affects: fedora-all [bug 1570186]

Comment 3 Doran Moppert 2018-07-27 02:53:44 UTC
Created gegl03 tracking bugs for this issue:

Affects: fedora-all [bug 1609106]

Comment 5 Debarshi Ray 2018-08-24 16:26:17 UTC
This is fixed in all gegl04 builds. gegl04 is a natural progression of the unstable gegl03 series.


Note You need to log in before you can comment on or make changes to this bug.